summaryrefslogtreecommitdiff
path: root/sbin/kbd/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'sbin/kbd/Makefile')
-rw-r--r--sbin/kbd/Makefile24
1 files changed, 14 insertions, 10 deletions
diff --git a/sbin/kbd/Makefile b/sbin/kbd/Makefile
index 2d3a0533322..1be751a0f28 100644
--- a/sbin/kbd/Makefile
+++ b/sbin/kbd/Makefile
@@ -1,23 +1,27 @@
-# $OpenBSD: Makefile,v 1.13 2002/02/19 01:49:57 maja Exp $
+# $OpenBSD: Makefile,v 1.14 2002/04/19 00:05:20 miod Exp $
+.if (${MACHINE} == "alpha") || (${MACHINE} == "hppa") || \
+ (${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
+ (${MACHINE} == "sparc") || (${MACHINE} == "sparc64") || \
+ (${MACHINE} == "vax")
PROG= kbd
-MAN= kbd.8
SRCS= main.c
CFLAGS+=-I${.CURDIR}
-.if (${MACHINE} == "arc")
-SRCS+= kbd_i386.c
-.elif (${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
- (${MACHINE} == "vax") || (${MACHINE} == "alpha") || \
- (${MACHINE} == "sparc64")
+.if (${MACHINE} == "sparc")
+SRCS+= kbd_sparc.c
+.else
SRCS+= kbd_wscons.c
LDADD= -lkvm
DPADD= ${LIBKVM}
-.elif (${MACHINE} == "sparc")
-SRCS+= kbd_sparc.c
+.endif
+
.else
-SRCS+= kbd_void.c
+NOPROG= Yes
.endif
+MAN= kbd.8
+MANSUBDIR= alpha hppa i386 macppc sparc sparc64 vax
+
.include <bsd.prog.mk>